# Copyright Notice
# ================
# 
# ----------------------------------------------------------------------
#
# This SwisssideChain plugin is copyright of the Swiss Institute of Bioinformatics. 
# There are no restriction on its use by non-profit institutions as long as its 
# content is in no way modified and this statement is not removed. 
#
# Usage by and for commercial entities requires a license agreement 
# (see our legal disclaimer on http://www.swisssidechain.ch/license.html
# or send email to license@genebio.com).
#
# For scientific questions, please contact David Gfeller (david.gfeller@isb-sib.ch)
#
############################################################################


######### Usage ###########
#
# Command-line: Mutate 'chain'/'residue#'/, 'newres', e.g: Mutate A/2/, ARG
# If more than one object are loaded:  Mutate 'object'//'chain'/'residue#'/, 'newres', e.g: Mutate 1BFE//A/2/, ARG
#
#########################

import Tkinter
from Tkinter import *

import tkMessageBox
import tkSimpleDialog
from pymol import cmd
#import sys, urllib2, zlib

def __init__(self):
   
    self.menuBar.addmenuitem('Plugin', 'command', 'Mutate', label='PySwissSidechain...', command = lambda s=self : Mutate(s))

def MutateExecute( selection, mutant ):

    cmd.wizard("mutagenesis1")
    cmd.get_wizard().do_select(selection)
    cmd.get_wizard().set_mode(mutant)

    return

def Mutate(app):
    
    sel=tkSimpleDialog.askstring('PySwissSidechain', 'Please enter the residue you want to mutate:', parent=app.root)

    mut=tkSimpleDialog.askstring('PySwissSidechain', 'Please enter the SwissSidechain code of the new residue:', parent=app.root)

    MutateExecute(sel, mut)


cmd.extend("Mutate", MutateExecute)
